Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPFlooder

    java.lang.Object
      net.i2p.router.transport.udp.UDPFlooder

All Implemented Interfaces:
  Runnable

     class UDPFlooder

extends Object
implements Runnable

This sends random data to all UDP peers at a specified rate. It is for testing only!

Constructor Summary
`UDPFlooder(RouterContext ctx, UDPTransport transport)`

Method Summary
`void` | `addPeer(PeerState peer)`
`void` | `removePeer(PeerState peer)`
`void` | `run()`
`void` | `shutdown()`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPFlooder

    public UDPFlooder(RouterContext ctx,
                      UDPTransport transport)

Method Detail

### addPeer

    public void addPeer(PeerState peer)

### removePeer

    public void removePeer(PeerState peer)

### startup

    public void startup()

### shutdown

    public void shutdown()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD